package main

import "fmt"

type Person struct {
	FirstName string
	LastName  string
	Age       int
}

func MakePerson(firstName, lastName string, age int) Person {
	return Person{firstName, lastName, age}
}

func MakePersonPointer(firstName, lastName string, age int) *Person {
	return &Person{firstName, lastName, age}
}

func main() {
	fmt.Println(MakePerson("Ivan", "Ivanov", 21))
	fmt.Println(*MakePersonPointer("Peter", "Petrov", 22))
}
